Loading...
Searching...
No Matches
dolfin::MeshRenumbering Class Reference

This class implements renumbering algorithms for meshes. More...

`#include <MeshRenumbering.h>`

## Static Public Member Functions

static Mesh | renumber_by_color (const Mesh &mesh, std::vector< std::size_t > coloring)

## Detailed Description

This class implements renumbering algorithms for meshes.

## Member Function Documentation

## renumber_by_color()

dolfin::Mesh MeshRenumbering::renumber_by_color | ( | const Mesh & | mesh,
|  | std::vector< std::size_t > | coloring )

static

Renumber mesh entities by coloring. This function is currently restricted to renumbering by cell coloring. The cells (cell-vertex connectivity) and the coordinates of the mesh are renumbered to improve the locality within each color. It is assumed that the mesh has already been colored and that only cell-vertex connectivity exists as part of the mesh.

Parameters

  mesh | (Mesh) Mesh to be renumbered.
  coloring | (std::vector<std::size_t>) Mesh coloring type.

Returns
  Mesh

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/MeshRenumbering.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/MeshRenumbering.cpp